com.independentsoft.exchange

## Class Occurrence

- java.lang.Object
- - com.independentsoft.exchange.Occurrence

-     public class Occurrence
      extends java.lang.Object

  Represents a single modified occurrence of a recurring calendar item.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Occurrence()` Initializes a new instance of the Occurrence class.
    `Occurrence(ItemId itemId)` Initializes a new instance of the Occurrence class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getEndTime()` Sets the end time of a modified occurrence of a recurring calendar item.
    `ItemId` | `getItemId()` Gets the unique identifier and change key of a modified occurrence of a recurring calendar item.
    `java.util.Date` | `getOriginalStartTime()` Gets the original start time of a modified occurrence of a recurring calendar item.
    `java.util.Date` | `getStartTime()` Gets the start time of a modified occurrence of a recurring calendar item.
    `void` | `setItemId(ItemId itemId)` Sets the unique identifier and change key of a modified occurrence of a recurring calendar item.
    `java.lang.String` | `toString()` Converts the value of the current Occurrence object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Occurrence

          public Occurrence()

      Initializes a new instance of the Occurrence class.

    - #### Occurrence

          public Occurrence(ItemId itemId)

      Initializes a new instance of the Occurrence class.
      Parameters:
        `itemId` - the item id

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Occurrence object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getItemId

          public ItemId getItemId()

      Gets the unique identifier and change key of a modified occurrence of a recurring calendar item.
      Returns:
        the item id

    - #### setItemId

          public void setItemId(ItemId itemId)

      Sets the unique identifier and change key of a modified occurrence of a recurring calendar item.
      Parameters:
        `itemId` - the new item id

    - #### getStartTime

          public java.util.Date getStartTime()

      Gets the start time of a modified occurrence of a recurring calendar item.
      Returns:
        the start time

    - #### getEndTime

          public java.util.Date getEndTime()

      Sets the end time of a modified occurrence of a recurring calendar item.
      Returns:
        the end time

    - #### getOriginalStartTime

          public java.util.Date getOriginalStartTime()

      Gets the original start time of a modified occurrence of a recurring calendar item.
      Returns:
        the original start time